complexType "EuropeanExercise"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 1 attribute, 6 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | expirationDate, relevantUnderlyingDate?, earliestExerciseTime, expirationTime, partialExercise?, exerciseFee?
</...>

Content Model Elements (6):

  earliestExerciseTime (in europeanExercise), exerciseFee, expirationDate (in europeanExercise), | expirationTime (in europeanExercise), partialExercise, relevantUnderlyingDate (in europeanExercise)

All Direct / Indirect Based Elements (1):

  europeanExercise

Known Usage Locations

- As direct type of elements (1):
  europeanExercise

Annotation
A type defining the exercise period for a European style option together with any rules governing the notional amount of the underlying which can be exercised on any given exercise date and any associated exercise fees.
Type Definition Detail

Type Derivation Tree Exercise (extension) EuropeanExercise

XML Source (w/o annotations (7); see within schema source)

<xsd:complexType name="EuropeanExercise"> <xsd:complexContent> <xsd:extension base="Exercise"> <xsd:sequence> <xsd:element name="expirationDate" type="AdjustableOrRelativeDate"/> <xsd:element minOccurs="0" name="relevantUnderlyingDate" type="AdjustableOrRelativeDates"/> <xsd:element name="earliestExerciseTime" type="BusinessCenterTime"/> <xsd:element name="expirationTime" type="BusinessCenterTime"/> <xsd:element minOccurs="0" name="partialExercise" type="PartialExercise"/> <xsd:element minOccurs="0" name="exerciseFee" type="ExerciseFee"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 6/6)
earliestExerciseTime

  Type: | BusinessCenterTime, complex content

  The earliest time at which notice of exercise can be given by the buyer to the seller (or seller's agent) i) on the expriation date, in the case of a European style option, (ii) on each bermuda option exercise date and the expiration date, in the case of a Bermuda style option the commencement date to, and including, the expiration date , in the case of an American option.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="earliestExerciseTime" type="BusinessCenterTime"/>

exerciseFee

  Type: | ExerciseFee, complex content

  A fee to be paid on exercise. This could be represented as an amount or a rate and notional reference on which to apply the rate.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="exerciseFee" type="ExerciseFee"/>

expirationDate

  Type: | AdjustableOrRelativeDate, complex content

  The last day within an exercise period for an American style option. For a European style option it is the only day within the exercise period.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="expirationDate" type="AdjustableOrRelativeDate"/>

expirationTime

  Type: | BusinessCenterTime, complex content

  The latest time for exercise on expirationDate.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="expirationTime" type="BusinessCenterTime"/>

partialExercise

  Type: | PartialExercise, complex content

  As defined in the 2000 ISDA Definitions, Section 12.3. Partial Exercise, the buyer of the option has the right to exercise all or less than all the notional amount of the underlying swap on the expiration date, but may not exercise less than the minimum notional amount, and if an integral multiple amount is specified, the notional amount exercised must be equal to, or be an integral multiple of, the integral multiple amount.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="partialExercise" type="PartialExercise"/>

relevantUnderlyingDate

  Type: | AdjustableOrRelativeDates, complex content

  The date on the underlying set by the exercise of an option. What this date is depends on the option (e.g. in a swaption it is the swap effective date, in an extendible/cancelable provision it is the swap termination date).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="relevantUnderlyingDate" type="AdjustableOrRelativeDates"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.